List Push Notifications

This operation fetches a paginated list of Push Notifications.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Query parameters

operationIdstringOptionalformat: "^comms_operation_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
Filter Push Notifications by Operation ID.
statusenumOptional
Filter Push Notifications by Delivery Status.
Allowed values:
tagsstringOptionalformat: "^(?:[a-zA-Z0-9._~-]+:[a-zA-Z0-9._~-]+;){1,10}$"
Match Push Notifications by one or many tags. If more than one tag is specified in the query, the search will return only results that have ALL the matching tags. For Example: ``` GET /PushNotifications?tags=ageGroup:20s;industry:engineering; ```
startDatestringOptionalformat: "date-time"
Filter to Push Notifications created after the specified date and time.
endDatestringOptionalformat: "date-time"
Filter to Push Notifications created before the specified date and time.
userstringOptionalformat: "^comms_pushnotificationuser_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
Filter Push Notifications sent to a specific User.
providerenumOptional
Filter Push Notifications by provider.
Allowed values:
pageTokenstringOptional
The token to retrieve the next page of results.
pageSizeintegerOptional1-1000Defaults to 50
The number of resources to return in a page.

Response

OK
pushNotificationslist of objects
paginationobject
Metadata for paginated results. This object contains two tokens to navigate through paginated results. - Use `next` to retrieve the 'next' page in the result list. - Use `self` to retrieve the same page of the result list again. - Supply the token in the `pageToken` query param.

Errors

400
Bad Request Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error